<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.9 (2011/10/27)
 * Compatibility : Guppy v4.6.17+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */
if (stristr($_SERVER["SCRIPT_NAME"], "redac_filesup.inc")) {
  header("location:../index.php");
  die();
}
define("CHEMIN", "../");
$lng  = strip_tags($lng);
$pg   = strip_tags($pg);
$plug = strip_tags($plug);
include(CHEMIN."plugins/adm_redacteurs/lang/".$lng."-adm_redacteurs.inc");
include(CHEMIN."plugins/adm_redacteurs/inc/functionredac".INCEXT);
include(CHEMIN."inc/hpage.inc");

//Rcupration et protection des variables
$pseudo = $_GET['pseudo'];       //pseudo du rdacteur
$pseudo = strip_tags($pseudo);
$id = $_GET['id'];              //identit du fichier
$id = strip_tags($id);
$qtype = $_GET['qtype'];              //type du fichier
$qtype = strip_tags($qtype);
$champ0 = $_GET['champ0'];              //champ du fichier
$champ0 = strip_tags($champ0);
$champ1 = $_GET['champ1'];              //champ du fichier
$champ1 = strip_tags($champ1);
$champ2 = $_GET['champ2'];              //champ du fichier
$champ2 = strip_tags($champ2);
$filesup = isset($_POST['filesup'])? $_POST['filesup'] : 0;              //champ du fichier
$filesup = strip_tags($filesup);

// On rcupre la config du rdacteur
include(REP_REDAC.$pseudo.DBEXT);

//On rcupre la config du Groupe Rdacteur si le rdacteur appartient  un Groupe Rdacteur
if(isset($redacprefs['rgroupseudo']) && $redacprefs['rgroupseudo'] != '' &&  file_exists(REP_REDAC.'grp_'.$redacprefs['rgroupseudo'].INCEXT)) {
  include(REP_REDAC.'grp_'.$redacprefs['rgroupseudo'].INCEXT);
} 

/// FORK AjouteMenu : INCLUDE
$mnu_include = false;
if (is_dir(CHEMIN."plugins/ajoutemenu") && $redacprefs['ajoutemenu'] == 'ajoutemenu') {
	include_once(CHEMIN."plugins/ajoutemenu/inc/data_func.inc");
	include_once(CHEMIN."plugins/ajoutemenu/lang/".$lng."-adm.inc");
	$mnu_include = true;
}
/// Fin FORK AjouteMenu : INCLUDE

if (file_exists(REP_DOC."doc_".$pseudo.DBEXT)) { //on teste pour voir si le fichier existe 
    $docidredac = REP_DOC."doc_".$pseudo.DBEXT; // on rcupre le fichier doc du rdacteur
} else {
    $filesup = 3;  // fichier doc du rdacteur introuvable
}

//suppression du fichier
if ($filesup == 1) {

	/// FORK AjouteMenu : DELETE
	if ($mnu_include && $qtype == TYP_ART) {
		// supprimer l'item de menu associ  $del si besoin
		ReadDoc(DBBASE.$id);
		list($mnu_code, $mnu_id, $mnu_item) = explode(".", $fieldd1);
		if (isset($mnu_id) && isset($mnu_item)) {
			AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
			$mnu_status = "d";
			AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
			AM_Delete($mnu_id, $mnu_item);
			//modif redacteur
			$mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$redacprefs['rpseudo']."_menu".$mnu_id.".dtb";
			AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
			$mnu_status = "d";
			AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
			AM_FullDelete($mnu_id);
			$mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
			// fin modif redacteur
		}
	}
	/// Fin FORK AjouteMenu : DELETE

  	//suppression du fichier pour le rdacteur
	$newdb = array();
    $dbwork = ReadDBFields($docidredac);
    for ($i = 0; $i < count($dbwork); $i++) {
    	if ($dbwork[$i][1] != $id) {
        	$newdb[] = $dbwork[$i];
    	}
  	}
  	WriteDBFields($docidredac,$newdb);

 	//suppression du fichier pour l'administrateur
    $newdb = array();
    $dbwork = ReadDBFields(DOCID);
    for ($i = 0; $i < count($dbwork); $i++) {
    	if ($dbwork[$i][1] != $id) {
        	$newdb[] = $dbwork[$i];
    	}
  	}
  	WriteDBFields(DOCID,$newdb);
	
  	if (file_exists(DBBASE.$id.INCEXT)) { //on supprime le fichier doc.inc
        DestroyDBFile(DBBASE.$id.INCEXT);
  	}
  	if (file_exists(DBBASE.$id.DBEXT)) { //on supprime le fichier doc.dtb
        DestroyDBFile(DBBASE.$id.DBEXT);
  	}

    if (in_array($qtype, array(TYP_ART, TYP_BLOG, TYP_LINKS, TYP_DNLOAD, TYP_PHOTO, TYP_FAQ, TYP_RSS, TYP_AGENDA))) {
      	UpdateDBdtb($qtype);

			if ($qtype == TYP_ART) {
				include_once(CHEMIN.INCREP."funcrss.php");
				UpdateDBart();
			}
			
			if ($qtype == TYP_BLOG) {
				include_once(CHEMIN.INCREP."funcrss.php");
				UpdateDBblog();
			}

    } elseif ($qtype == TYP_NEWS) {
        include_once(CHEMIN.INCREP."funcrss.php");
      	UpdateDBnews();
    }

	//Vrification de la suppression du fichier
  	if (file_exists(DBBASE.$id.INCEXT) || file_exists(DBBASE.$id.DBEXT)) { //on teste pour voir si le fichier n'existe plus
       	$filesup = 4;
    } else {
       	$filesup = 2;
    }
}

//Page affiche
htable($redac38.$pseudo, "100%");	
echo '<p align="center"><a href="admin.php?lng='.$lng.'&#38;pg=plugin&#38;plug=adm_redacteurs/inc/adminredac">'.$redac3.'</a> || <a href="admin.php?lng='.$lng.'&#38;pg=plugin&#38;plug=adm_redacteurs/inc/redac_register">'.$redac4.'</a></p>';
echo '<hr />';
echo '<br />';

switch($filesup) {	
   case "0" :
?>   
		<div style="text-align:center;margin-top:5px;margin-bottom:15px;"><?php echo $redac47; ?></div>
		<p align="center"><?php echo $champ0; ?><strong><?php echo $champ1; ?><?php echo $champ2; ?></strong></p>
		<div style="text-align:center;margin-top:15px;margin-bottom:20px;"><?php echo $redac48; ?></div>

		<form action="" method="post">
		<input type="hidden" id="filesup" name="filesup" value="1" />
		<p align="center"><input type="submit" class="bouton" name="sup" id="sup" value="supprimer" /><p>
		</form>
<?php 
       break;

   case "2" :
   ?>
        <script type="text/javascript" language="JavaScript">
        <!--
	        setTimeout("document.suite.submit();",2000);
        -->
        </script>
		
        <p align="center"><?php echo $redac49; ?></p>
        <form name="suite" action="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/redac_files&#38;pseudo=<?php echo $pseudo; ?>&#38;file=0&amp;id=<?php echo $id ?>" method="post">
        <div style="text-align:center; margin-top:20px;"><input type="submit" class="bouton" id="retour" name="retour" value="retour"/></div>
        </form>
<?php

       	break;

   case "3" :
       echo '<p align="center">'.$redac50.$pseudo.$redac51.'</p>';
       break;

   case "4" :
       echo '<p align="center">'.$redac52.'</p>';
       break;
	   
   default :
	   echo '<p align="center">'.$redac60.'</p>';
}

echo '<hr />';
echo '<div align="center"><a href="admin.php?lng='.$lng.'&#38;pg=plugin&#38;plug=adm_redacteurs/inc/adminredac">'.$redac19.'</a> || <a href="admin.php?lng='.$lng.'">'.$admin22.'</a> || <strong><a href="admin.php?lng='.$lng.'&#38;logout=1">'.$admin19.'</a></strong></div>';
btable();
include(CHEMIN."inc/bpage.inc");
?>