<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.1 (2008/04/19)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Fork MinieditorTextarea ralis par Djchouix    
 * CeCILL Copyright (C) 2004-2006 by Laurent Duveau
 * Made by Laurent Duveau, Nicolas Alves, Albert Aymard,
 * Jean-Michel Misrachi, Isabelle Marchina and Team
 * Web site = http://lebrikabrak.free.fr/
 * E-mail   : lebrikabrak@free.fr
 * version 1.6
 */
session_start();
header("Pragma: no-cache");
define("CHEMIN", "../../../");
include(CHEMIN."inc/includes.inc");
$lng = isset($_GET['lng']) ? strip_tags($_GET['lng']) : NULL;
$nameform = isset($_GET['nameform']) ? strip_tags($_GET['nameform']) : NULL;
$nametextarea = isset($_GET['nametextarea']) ? strip_tags($_GET['nametextarea']) : NULL;
if(!eregi("^[a-z]+$",$lng) || !eregi("^[-a-z0-9_]+$",$nameform) || !eregi("^[-a-z0-9_]+$",$nametextarea)) die("Erreur dans le nom des variables passes dans l'URL !!");
//Protection contre les petits curieux
if (file_exists(CHEMIN."plugins/adm_redacteurs/inc/redac_login".INCEXT)) {
    include(CHEMIN."plugins/adm_redacteurs/inc/redac_login".INCEXT);
} else {
    die('Error 220');
};

//on regarde ce que contient la variable $log
switch ($log){

    case "Not logged" :  //on sort
	     if($version == "new"){
              unset($_SESSION['log']);
	          unset($_SESSION['upseudo']);
		 } else {
		      session_unset();
			}
	    session_destroy();
        header("Location:".$site[3]."plugins/adm_redacteurs/connect.php?lng=".$lng);
        break;

    case "Logged" :
//Fin de protection
$pathDirMinieditor = 'plugins/adm_redacteurs/editors/';    //chemin relatif du rpertoire du miniditeur ( ne pas modifier pour ne pas perdre la compatibilit avec les autres plugins)
$pathRepUpload ='plugins/adm_redacteurs/editors/';  //chemin relatif du rpertoire Upload
$accessRepUpload = array('img','photo','file','pages','flash');  //Rpertoire o l'on a accs pour uploader (valeur par dfaut)

// INSERTION FICHIER DE LANGUE
if(file_exists(CHEMIN.'plugins/adm_redacteurs/lang/'.$lng.'-adm_redacteurs.inc')) {
	include(CHEMIN.'plugins/adm_redacteurs/lang/'.$lng.'-adm_redacteurs.inc');
} else {
	include(CHEMIN.'plugins/adm_redacteurs/lang/en-adm_redacteurs.inc');
}

// On rcupre la config du rdacteur ou du groupe rdacteur
include(REP_REDAC.$upseudo.DBEXT);
if (isset($redacprefs['rgroupseudo']) && $redacprefs['rgroupseudo'] != '' &&  is_file(REP_REDAC.'grp_'.$redacprefs['rgroupseudo'].INCEXT)) {
	include(REP_REDAC.'grp_'.$redacprefs['rgroupseudo'].INCEXT);
} 

//RECUPERATION DE LA CONFIGURATION PERSONNALISE DE L'UPLOAD (VARIABLE $accessRepUpload)
if(file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/config_upload.inc')) {  
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/config_upload.inc');  //CONFIGURATION UPLOAD MINIEDITEUR (SI PRESENT)
} elseif(file_exists(CHEMIN.$pathDirMinieditor.'tinymce_config/config_upload.inc')) {  
	include(CHEMIN.$pathDirMinieditor.'tinymce_config/config_upload.inc');  //CONFIGURATION UPLOAD XINHA
}
//CONTROLE DES REPERTOIRES ECRITS DANS LA VARIABLE $accessRepUpload et CREATION DU REPERTOIRE SI NECESSAIRE
include(CHEMIN.$pathDirMinieditor.'upload/functions_upload.inc');
$accessRepUpload = controlNameRepUpload($accessRepUpload);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo $admin220; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $charset; ?>" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<?php
 if (file_exists($meskin.'style.css')) {
	echo '<link type="text/css" rel="stylesheet" href="'.$meskin.'style.css" />';
	}
	else {
	echo '<style type="text/css">';
 if (file_exists($meskin.'style.inc')) { 
	include($meskin.'style.inc');
	}
	else {
	include(CHEMIN.'inc/style.inc');
	}
  echo '</style>';
}
?>
<script type="text/javascript" src="<?php echo $site[3]; ?>inc/tinymce/tiny_mce.js"></script>
<script type="text/javascript">
	//DEFINITION DES VARIABLES
<?php
    echo 'var IPATH = "'.$site[3].'";'."\n";     //Chemin absolu dans l'diteur
	$tinymcelng = file_exists(CHEMIN.'inc/tinymce/langs/'.$lng.'.js')? $lng : 'en';
	echo 'var tinymcelng = "'.$lng.'";'."\n"; 	//Langue de l'diteur
    if (isset($nametextarea) && isset($nameform)) {
		echo 'var editorvalue = window.opener.document.forms[\''.$nameform.'\'].elements[\''.$nametextarea.'\'].value;'; //code textarea
	}
	//Transformation chemin relatif en chemin absolu pour les images et les liens
	if(!file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/minieditortextarea.inc')) {
?>
    	editorvalue = editorvalue.replace (/\|\:\-\)/g, '<img src="inc/img/smileys/cool.gif" alt="cool" border="0" />');
	    editorvalue = editorvalue.replace (/\;\-\)/g, '<img src="inc/img/smileys/wink.gif" alt="wink" border="0" />');
	    editorvalue = editorvalue.replace (/\:\-\)\)/g, '<img src="inc/img/smileys/biggrin.gif" alt="biggrin" border="0" />');
	    editorvalue = editorvalue.replace (/\:\-\)/g, '<img src="inc/img/smileys/smile.gif" alt="smile" border="0" />');
	    editorvalue = editorvalue.replace (/\:\-o/gi, '<img src="inc/img/smileys/frown.gif" alt="frown" border="0" />');
        editorvalue = editorvalue.replace (/\:o\)/gi, '<img src="inc/img/smileys/eek.gif" alt="eek" border="0" />');
	    editorvalue = editorvalue.replace (/\:\-\(\(/g, '<img src="inc/img/smileys/mad.gif" alt="mad" border="0" />');
	    editorvalue = editorvalue.replace (/\:\-\(/g, '<img src="inc/img/smileys/confused.gif" alt="confused" border="0" />');
	    editorvalue = editorvalue.replace (/8\-\)/gi, '<img src="inc/img/smileys/rolleyes.gif" alt="rolleyes" border="0" />');
	    editorvalue = editorvalue.replace (/\:\-p/g, '<img src="inc/img/smileys/tongue.gif" alt="tongue" border="0" />');
	    editorvalue = editorvalue.replace (/\;\-\(/g, '<img src="inc/img/smileys/cry.gif" alt="cry" border="0" />');
<?php
	}
	echo 'editorvalue = editorvalue.replace (/src=\"inc\//gi,"src=\"" + IPATH + "inc/");'."\n";
	foreach($accessRepUpload as $nameRepUp) {
		echo 'editorvalue = editorvalue.replace (/src=\"'.$nameRepUp.'\//gi,"src=\"" + IPATH + "'.$nameRepUp.'/");'."\n";
		echo 'editorvalue = editorvalue.replace (/src='.$nameRepUp.'\//gi,"src=" + IPATH + "'.$nameRepUp.'/");'."\n";
		echo 'editorvalue = editorvalue.replace (/href=\"'.$nameRepUp.'\//gi,"href=\"" + IPATH + "'.$nameRepUp.'/");'."\n";
		echo 'editorvalue = editorvalue.replace (/value=\"'.$nameRepUp.'\//gi,"value=\"" + IPATH + "'.$nameRepUp.'/");'."\n";
		echo 'editorvalue = editorvalue.replace (/data=\"'.$nameRepUp.'\//gi,"data=\"" + IPATH + "'.$nameRepUp.'/");'."\n";
	}
	//Modif pour code fichier flash (compatibilit miniediteur <--> TinyMCE)
	if(file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/minieditortextarea.inc')) {  
?>
		editorvalue = editorvalue.replace(/<object data=("[-a-z0-9_:\/\.]+") (width="[0-9]+") (height="[0-9]+")( hspace="[0-9]+")?( vspace="[0-9]+")?( align="[a-z]+")?( id="[-a-z0-9_]+")?( class="[-a-z0-9_]+")? type="application\/x-shockwave-flash"><param name="movie" value="[-a-z0-9_:\/\.]+" \/>(<param name="(quality)" value(="[-a-z0-9_]+") \/>)?(<param name="(scale)" value(="[-a-z0-9_]+") \/>)?(<param name="(loop)" value(="[a-z]+") \/>)?(<param name="(play)" value(="[a-z]+") \/>)?(<param name="(menu)" value(="[a-z]+") \/>)?(<param name="(bgcolor)" value(="[#0-9ABCDEF]+") \/>)?<param name="pluginurl" value="http:\/\/www\.macromedia\.com\/go\/getflashplayer" \/><a href="http:\/\/www\.macromedia\.com\/go\/getflashplayer" target="_blank"><img src="[-a-z0-9_:\/\.]+" alt="Get FlashPlayer" title="Get FlashPlayer" width="[0-9]+" height="[0-9]+" border="0" \/><\/a><\/object>/gi,'<embed src=$1 $2 $3 $4 $5 $6 $7 $8 $10$11 $13$14 $16$17 $19$20 $22$23 $25$26 type="application\/x-shockwave-flash" pluginspage="http:\/\/www.macromedia.com\/go\/getflashplayer"><\/embed>');
<?php
	}
	//Fin Modif pour code fichier flash
?>

	function initDocument() {
		document.fHtmlEditor.editor.value = editorvalue;
	}
</script>
<?php
//CONFIGURATION DE TINYMCE
if (file_exists(CHEMIN.$pathDirMinieditor.'tinymce_config/guppy_tinymceconfig.js')) {
    echo '<script type="text/javascript" src="'.CHEMIN.$pathDirMinieditor.'tinymce_config/guppy_tinymceconfig.js"></script>';
} else {
    die ('Une erreur est survenue car il manque le fichier '.$pathDirMinieditor.'tinymce_config/guppy_tinymceconfig.js');
}
?>
<script type="text/javascript">
	//INSERTION SMILEYS GUPPY
	function insertEmoticonGuppy(file_name, title, width, height) {  //fonction insertion smiley guppy (ne pas modifier)
		var html = '<img src="<?php echo $site[3]; ?>/' + file_name + '" mce_src="' + file_name + '" border="0" alt="' + title + '" width="' + width + '" height="' + height + '" />';
		tinyMCE.execCommand('mceInsertContent', false, html);
	}		
   
	// ENREGISTREMENT ET ENVOIE DU CODE
	function OnFormSubmit(){
    	var submiteditorvalue = document.fHtmlEditor.editor.value;			
		//Transformation chemin absolu en chemin relatif pour les images et les liens
<?php
		function expRegExpression($expression) {
			$chaine = $expression;
			$expRegMetaCar = array('\\','^','$','.','*','+','?','=','!','|','/','(',')','[',']','{','}');
			for($i=0; $i<count($expRegMetaCar); $i++) {
				$chaine =  str_replace($expRegMetaCar[$i],'\\'.$expRegMetaCar[$i],$chaine);
			}
			return $chaine;
		}
		$expRegURLSite = expRegExpression($site[3]);
		$expRegURLSous_Site = expRegExpression(eregi_replace('http://[^/]+/','/', $site[3]));

		echo 'submiteditorvalue = submiteditorvalue.replace (/(src=\"'.$expRegURLSite.'inc\/)/gi,"src=\"inc/");'."\n"; 
		echo 'submiteditorvalue = submiteditorvalue.replace (/(href=\"'.$expRegURLSite.'inc\/)/gi,"href=\"inc/");'."\n"; 
		//
		echo 'submiteditorvalue = submiteditorvalue.replace (/(src=\"'.$expRegURLSous_Site.'inc\/)/gi,"src=\"inc/");'."\n"; 
		echo 'submiteditorvalue = submiteditorvalue.replace (/(href=\"'.$expRegURLSous_Site.'inc\/)/gi,"href=\"inc/");'."\n"; 
		//
		echo 'submiteditorvalue = submiteditorvalue.replace (/src=\"\/inc\//gi,"src=\"inc/");';
		echo 'submiteditorvalue = submiteditorvalue.replace (/src=\"(\.\.\/)+inc\//gi,"src=\"inc/");'."\n";
		
		foreach($accessRepUpload as $nameRepUp) {
			echo 'submiteditorvalue = submiteditorvalue.replace (/(src=\"'.$expRegURLSite.$nameRepUp.'\/)/gi,"src=\"'.$nameRepUp.'/");'."\n"; 
			echo 'submiteditorvalue = submiteditorvalue.replace (/(href=\"'.$expRegURLSite.$nameRepUp.'\/)/gi,"href=\"'.$nameRepUp.'/");'."\n";
			echo 'submiteditorvalue = submiteditorvalue.replace (/(value=\"'.$expRegURLSite.$nameRepUp.'\/)/gi,"value=\"'.$nameRepUp.'/");'."\n";
			echo 'submiteditorvalue = submiteditorvalue.replace (/(data=\"'.$expRegURLSite.$nameRepUp.'\/)/gi,"data=\"'.$nameRepUp.'/");'."\n";
			//
			echo 'submiteditorvalue = submiteditorvalue.replace (/(src=\"'.$expRegURLSous_Site.$nameRepUp.'\/)/gi,"src=\"'.$nameRepUp.'/");'."\n"; 
			echo 'submiteditorvalue = submiteditorvalue.replace (/(href=\"'.$expRegURLSous_Site.$nameRepUp.'\/)/gi,"href=\"'.$nameRepUp.'/");'."\n";
			echo 'submiteditorvalue = submiteditorvalue.replace (/(value=\"'.$expRegURLSous_Site.$nameRepUp.'\/)/gi,"value=\"'.$nameRepUp.'/");'."\n";
			echo 'submiteditorvalue = submiteditorvalue.replace (/(data=\"'.$expRegURLSous_Site.$nameRepUp.'\/)/gi,"data=\"'.$nameRepUp.'/");'."\n";
			//
			echo 'submiteditorvalue = submiteditorvalue.replace (/src=\"\/'.$nameRepUp.'\//gi,"src=\"'.$nameRepUp.'/");';
			echo 'submiteditorvalue = submiteditorvalue.replace (/src=\"(\.\.\/)+'.$nameRepUp.'\//gi,"src=\"'.$nameRepUp.'/");'."\n";
			echo 'submiteditorvalue = submiteditorvalue.replace (/href=\"(\.\.\/)+'.$nameRepUp.'\//gi,"href=\"'.$nameRepUp.'/");'."\n";
		}
		//Modif pour code fichier flash (compatibilit miniediteur <--> TinyMCE)
		if(file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/minieditortextarea.inc')) {  
?>
			submiteditorvalue = submiteditorvalue.replace(/<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http:\/\/download\.macromedia\.com\/pub\/shockwave\/cabs\/flash\/swflash\.cab#version=6,0,29,0" (width="[0-9]+") (height="[0-9]+")>(<param name="movie" value(="[-a-z0-9_:\/\.]+") \/>)(<param name="quality" value(="[-a-z0-9_]+") \/>)?(<param name="menu" value(="[a-z]+") \/>)?(<param name="wmode" value="" \/>)?<embed ([^>]+)><\/embed><\/object>/gi,'<object data$4 $1 $2 type="application\/x-shockwave-flash">$3$5$7<param name="pluginurl" value="http:\/\/www\.macromedia\.com\/go\/getflashplayer" \/><a href="http:\/\/www\.macromedia.com\/go\/getflashplayer" target="_blank"><img src="flash\/document_Flash\.gif" alt="Get FlashPlayer" title="Get FlashPlayer" width="114" height="21" border="0" \/><\/a><\/object>');
<?php
		}
		//Fin Modif pour code fichier flash
		
        if (isset($nametextarea) && isset($nameform)) {
			echo 'window.opener.document.forms[\''.$nameform.'\'].elements[\''.$nametextarea.'\'].value = submiteditorvalue;'."\n";
		}
?>				
        if(confirm("<?php echo $admin373; ?>")){
			self.close();
			return true;
		} else {
		    return false;
		}            
	};	
</script>
</head>
<body style="margin:0px;">
       	<form action="self"  id="fHtmlEditor" name="fHtmlEditor"  method="post" onsubmit="return OnFormSubmit();">
	   	<div style="text-align:center;padding:10px;">
	   	<div style="margin-right:auto;margin-left:auto; width:100%;text-align:center;">
	   	<textarea id="editor" name="editor" style="height:435px; width:98%;"></textarea>
	   	</div>
	   	</div>
    	<div style="width:100%;text-align:center; padding-top:5px; padding-bottom:5px; margin-left:auto; margin-right:auto;">
<?php
		$souriez = array();
		$i = 0;
		$dir = opendir(CHEMIN.'inc/img/smileys/');
		while ($file = readdir($dir)) {
        	if(is_file(CHEMIN.'inc/img/smileys/'.$file) && ($file != 'index.php') && ereg('\.(gif|jpg|png|jpeg)$', $file)) {
				$souriez[$i][0] = 'inc/img/smileys/'.$file;			
				$souriez[$i][1] = substr($file,0,(strlen($file)-4));
				$image_size = getimagesize(CHEMIN.$souriez[$i][0]);
				$souriez[$i][2] = $image_size[0];
				$souriez[$i][3] = $image_size[1];
				$souriez[$i][4] = $image_size[3];
				$i++;	
			}		
 		}
		closedir($dir);
	    for ($i = 0; $i < count($souriez); $i++) {
            echo '<img src="'.CHEMIN.$souriez[$i][0].'" '.$souriez[$i][4].' style="vertical-align:middle;cursor:pointer;" border="0" title="'.$souriez[$i][1].'" alt="'.$souriez[$i][1].'" onclick="insertEmoticonGuppy(\''.$souriez[$i][0].'\',\''.$souriez[$i][1].'\',\''.$souriez[$i][2].'\',\''.$souriez[$i][3].'\');" />&nbsp;'."\n";
        }
		unset($souriez);
?>
		</div>
	   </form>
	   <script type="text/javascript">
	       initDocument();
	   </script>
  </body>
</html>
<?php
}
?>