<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.6 (2010/04/05)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Plugin Diaporama - Upload + Creation vignette    
 * Jean-Michel MISRACHI
 * Web site = http://jmmis.free.fr/
 * e-mail   = jmmis@free.fr
 * version 4.6.11
 * 
 * Fichier modifi par ZebulonT : http://www.cyclotronp.net/
 * pour l'intgration de la Version 4.6.23 du plugin Diaporama de Jean-Mi
 * dans le plugin Adm_redacteurs de djchouix (2008/12/20)
 *
 */
$nb_upload = 5;
if (stristr($_SERVER["SCRIPT_NAME"], "upload.inc")) {
  header("location:../index.php");
  die();
}

define("CHEMIN", "../../");
$lng  = strip_tags($lng);
$pg   = strip_tags($pg);
$plug = strip_tags($plug);
if (!isset($act)) $act = "0";
$act  = strip_tags($act);
$upload_diapo_id = strip_tags($diapo_id);

include(CHEMIN."plugins/diaporama/lang/".$lng."-adm.inc");
include_once(CHEMIN."plugins/jmm/functions.php");
include_once(CHEMIN."plugins/diaporama/inc/data_func.inc");

	function TestDir($dir) {
		if (is_dir(CHEMIN.$dir)) {
			if (!is_file(CHEMIN.$dir."/index.php")) {
				@copy(CHEMIN."data/index.php", CHEMIN.$dir."/index.php");
				@chmod(CHEMIN.$dir."/index.php", 0644);
			}
			return true;
		}
		return MakeDir($dir);
	}
	
	function MakeDir($dir) {
	  $tmp1 = explode('/', $dir);
	  $tmp2 = CHEMIN;
	  for($t = 0; $t < count($tmp1); $t++)
	  {
	    $tmp2 .= $tmp1[$t];
	    if(!is_dir($tmp2))
				if (@mkdir($tmp2, 0777)) {
					@copy(CHEMIN."data/index.php", $tmp2."/index.php");
					@chmod(CHEMIN.$tmp2."/index.php", 0644);
				} else {
					if (!is_file($tmp2."/index.php")) {
						@copy(CHEMIN."data/index.php", $tmp2."/index.php");
						@chmod(CHEMIN.$dir."/index.php", 0644);
					}
					return false;
				}
	    $tmp2 .= '/';
	  }
	  return true;
	}
	
DP_ExportParam(DP_ReadParam($upload_diapo_id));

switch ($act) {
	case "0" :
	  $cr_dir_vig = TestDir($dp_dir_vig);
	  $cr_dir_img = TestDir($dp_dir_img);
	  if (!$cr_dir_vig or !$cr_dir_img) {
	    $errmessage = $diapo_adm600."<br />";
	    if (!$cr_dir_vig)
				$errmessage .= "<br /><b>".$diapo_adm601." '".CHEMIN.$dp_dir_vig."' ".$diapo_adm603."</b>";
	    if (!$cr_dir_img)
				$errmessage .= "<br /><b>".$diapo_adm602." '".CHEMIN.$dp_dir_img."' ".$diapo_adm603."</b>";
			$errtitre = $diapo_adm604;
			include(CHEMIN."plugins/jmm/errormsg.php");
		}
		
	case "1" :
		$topmess = $diapo_adm627;
		include(CHEMIN."inc/hpage.inc");
    htable($diapo_adm627, "100%");
    DP_ExportParam(DP_ReadParam($upload_diapo_id));

		echo "<p align=\"center\">".$diapo_adm605."</p><hr />";
		LiensBackLogout($diapo_adm32, "diaporama/inc/admin");
		echo "<hr />";
?>
<form method="post" action="admin.php" enctype="multipart/form-data">
<input type="hidden" name="lng" value="<?php echo $lng; ?>" />
<input type="hidden" name="pg" value="plugin" />
<input type="hidden" name="plug" value="diaporama/inc/upload" />
<input type="hidden" name="diapo_id" value="<?php echo $upload_diapo_id; ?>" />
<input type="hidden" name="act" value="2" />
<p align="left"><b><?php echo $diapo_adm606; ?></b></p>
<div style="margin:0px 10%">
<p align="left"><?php echo $diapo_adm607; ?><b><?php echo $dp_dir_img; ?></b></p>
<p align="left"><?php echo $diapo_adm608; ?><b><?php echo $dp_dir_vig; ?></b></p>
<p align="left"><?php echo $diapo_adm609; ?><b><?php echo $dp_larg_vig; ?></b> x <b><?php echo $dp_haut_vig; ?></b></p>
</div><hr />
<p align="left"><b><?php echo $diapo_adm610; ?></b></p>
<div style="margin:0px 10%">
<?php
	if (!isset($type_upload)) $type_upload = 0;
	
	if (function_exists("gd_info")) {
  	    $options = array( 
  		    array(0, $diapo_adm611), 
  		    array(1, $diapo_adm612), 
  		    array(2, $diapo_adm613) 
  		    );
	} else {
        echo '<p align="center" style="color:red">Librairie GD2 absente - No library GD2</p>';
        if ($type_upload == 0) $type_upload = 1;
  	    $options = array( 
  		    array(1, $diapo_adm612), 
  		    array(2, $diapo_adm613) 
  		    );
	}
	
	if ($dp_dir_img == $dp_dir_vig) {
		$type_upload = 1;
		$disabled = " disabled=\"disabled\"";
	} else
		$disabled = "";
  for($i=0; $i<count($options); $i++){
    if ($type_upload == $options[$i][0]) $checked = " checked=\"checked\""; else $checked = "";
?>
<p align="left"><input type="radio" name="type_upload" value="<?php echo $options[$i][0]."\"".$checked.$disabled." />".$options[$i][1]; ?></p>
<?php
  }
?>
</div><hr />
<p align="left"><b><?php echo $diapo_adm614; ?></b></p>
<table border="0" style="text-align: center">
<?php
		for($i=0; $i<$nb_upload; $i++) {
		  echo "<tr><td style='white-space:no-wrap'>".$diapo_adm642.($i+1)."</td>";
    	echo "<td><input type=\"file\" name=\"img".$i."\" size=\"50\" accept=\"image/jpeg,image/png\" /></td></tr>";
    }
?>
</table>
<p align="center" style="margin:10px 0px 15px 0px"><input type="submit" value="<?php echo $diapo_adm640; ?>" /> <input type="reset" value="<?php echo $diapo_adm641; ?>" /></p>
</form>
<?php
	  break;
	  
	case "2" :
    	$nb_images = 0;
		for($i=0; $i<$nb_upload; $i++) {
		  $fic = $_FILES["img$i"]['name'];
			if (!empty($fic)) $nb_images++;
		}
		switch (strip_tags($type_upload)) {
			case 2 :
				$img_txt = $diapo_adm616;
				$dest = CHEMIN.$dp_dir_vig;
				$bool_makevig = false;
				break;
			case 1 : 
				$img_txt = $diapo_adm615;
				$dest = CHEMIN.$dp_dir_img;
				$bool_makevig = false;
				break;
			case 0 :
			default :
				$img_txt = $diapo_adm615;
				$dest = CHEMIN.$dp_dir_img;
				$bool_makevig = true;
		}
/*			
		if ($nb_images == 0) {
			header("location:".$site[3]."admin/admin.php?lng=".$lng."&pg=plugin&plug=diaporama/inc/upload&act=1&diapo_id=".$upload_diapo_id);
		}
*/
		$topmess = $diapo_adm617;
		include(CHEMIN."inc/hpage.inc");
   		htable($diapo_adm617, "100%");
    	DP_ExportParam(DP_ReadParam($upload_diapo_id));
?>    
<p align="center"><b><?php echo $diapo_adm618; ?></b></p>
<?php
		echo "<hr />";
		LiensBackLogout($diapo_adm32, "diaporama/inc/admin");
		echo "<hr />";

		for($i=0; $i<$nb_upload; $i++) {
		  $fic = $_FILES["img$i"]['name'];
		  $tmp = $_FILES["img$i"]['tmp_name'];
			if (!empty($fic)) {
				if (is_uploaded_file($tmp)) {
					list($larg_img, $haut_img, $type_img) = getimagesize($tmp);
		      if ($larg_img > $haut_img) {
		        $larg_vig = $dp_larg_vig;
		        $haut_vig = ceil($haut_img*$dp_larg_vig/$larg_img);
						if ($haut_vig > $dp_haut_vig) {
							$larg_vig = ceil($larg_vig*$dp_haut_vig/$haut_vig);
							$haut_vig = $dp_haut_vig;
						}
		      } else {
		        $haut_vig = $dp_haut_vig;        
		        $larg_vig = ceil($larg_img*$dp_haut_vig/$haut_img);
		        if ($larg_vig > $dp_larg_vig) {
		        	$haut_vig = ceil($haut_vig*$dp_larg_vig/$larg_vig);
		        	$larg_vig = $dp_larg_vig;
		        }
		      }
					switch($type_img) {
						case 2 : // JPG
          		if (move_uploaded_file($tmp, $dest.'/'.$fic)) {
          			echo "<div style=\"margin:5px 10%\">";
	            	echo $img_txt."<b><a href=\"".$dest.'/'.$fic."\">".$fic."</a> (".$larg_img."x".$haut_img.")</b>".$diapo_adm619."<br />";
          			if ($bool_makevig) {
									$himg = ImageCreateFromJpeg(CHEMIN.$dp_dir_img.'/'.$fic);
	          			$hvig = @ImageCreateTrueColor($larg_vig, $haut_vig);
	          			$cr = @ImageCopyResampled($hvig, $himg, 0, 0, 0, 0, $larg_vig, $haut_vig, $larg_img, $haut_img);
	          			@ImageJpeg($hvig, CHEMIN.$dp_dir_vig.'/'.$fic, 75);
	          			@chmod(CHEMIN.$dp_dir_vig.'/'.$fic, 0666);
									if ($cr) {
			            	echo $diapo_adm616."<b><a href=\"".CHEMIN.$dp_dir_vig.'/'.$fic."\">".$fic."</a> (".$larg_vig."x".$haut_vig.")</b>".$diapo_adm620."<br />";
									} else {
			            	echo "<font color=\"red\">".$diapo_adm616."<b>'$fic'</b>".$diapo_adm621."</b> !</font><br />";								
									}
								}
								echo "</div><hr />";
	          	} else {
	            	echo "<font color=\"red\">".$diapo_adm623."<b>'$fic'</b>".$diapo_adm622."</font><br />\n";
	            }
							break;
						case 3 : // PNG
          		if (move_uploaded_file($tmp, $dest.'/'.$fic)) {
          			echo "<div style=\"margin:10px 10%\">";
	            	echo $img_txt."<b><a href=\"".$dest.'/'.$fic."\">".$fic."</a> (".$larg_img."x".$haut_img.")</b>".$diapo_adm619."<br />";
          			if ($bool_makevig) {
	          			$himg = ImageCreateFromPng(CHEMIN.$dp_dir_img.'/'.$fic);
	          			$hvig = @ImageCreateTrueColor($larg_vig, $haut_vig);
	          			$cr = @ImageCopyResampled($hvig, $himg, 0, 0, 0, 0, $larg_vig, $haut_vig, $larg_img, $haut_img);
	          			@ImagePng($hvig, CHEMIN.$dp_dir_vig.'/'.$fic);
	          			@chmod(CHEMIN.$dp_dir_vig.'/'.$fic, 0666);
									if ($cr) {
			            	echo $diapo_adm616."<b><a href=\"".CHEMIN.$dp_dir_vig.'/'.$fic."\">".$fic."</a> (".$larg_vig."x".$haut_vig.")</b>".$diapo_adm620."<br />";
									} else {
			            	echo "<font color=\"red\">".$diapo_adm616."<b>'$fic'</b>".$diapo_adm621."</b> !</font><br />";								
									}
								}
								echo "</div><hr />";
	          	} else {
	            	echo "<font color=\"red\">".$diapo_adm623."<b>'$fic'</b>".$diapo_adm622."</font><br />\n";
	            }
							break;
						default :
	            echo "<font color=\"red\">".$diapo_adm616."<b>'$fic'</b>".$diapo_adm624."</font><br />";
							break;
					}
		      if (isset($himg)) @imagedestroy($himg);
		      if (isset($hvig)) @imagedestroy($hvig);
		      unset($himg, $hvig);
				} else {
    			echo "<font color=\"red\">".$diapo_adm616."<b>'$fic'</b>".$diapo_adm625."</font><br />";
				}
			}
		}
		echo "<p align=\"center\" style=\"margin:10px 0px;\"><a href=\"admin.php?lng=".$lng."&pg=plugin&plug=diaporama/inc/upload&act=1&diapo_id=".$upload_diapo_id."\"><b>".$diapo_adm626."</b></a></p>";
	  break;
}
echo "<hr />";
LiensBackLogout($diapo_adm32, "diaporama/inc/admin");
echo "<hr />";
VersionAuteurPlugin($diapo_version, $diapo_auteur1, 2.1);
include(CHEMIN."admin/plugins/diaporama/inc/gd2info.inc");

btable();
include(CHEMIN."inc/bpage.inc");
?>

